A composition of View objects that, together, comprise a UI form.

### Hierarchy

- View
  - Form

## Index

### Properties

- alias
- borderStyle
- defaultActionId
- formLayout
- formStyle
- id
- menu
- name
- title
- type

### Accessors

- isCompositeForm
- isFlowingLayout
- isFlowingTopDownLayout
- isFourBoxSquareLayout
- isHorizontalLayout
- isOptionsFormLayout
- isTabsLayout
- isThreeBoxOneLeftLayout
- isThreeBoxOneOverLayout
- isThreeBoxOneRightLayout
- isThreeBoxOneUnderLayout
- isTopDownLayout
- isTwoVerticalLayout

### Methods

- findMenuAt
- findTitle

## Properties

### alias

alias: string

Inherited from View.alias

- Defined in models/View.ts:12

### borderStyle

borderStyle: string

- Defined in models/Form.ts:7

### defaultActionId

defaultActionId: string

Inherited from View.defaultActionId

- Defined in models/View.ts:13

### formLayout

formLayout: string

- Defined in models/Form.ts:9

### formStyle

formStyle: string

- Defined in models/Form.ts:8

### id

id: string

Inherited from View.id

- Defined in models/View.ts:14

### menu

menu: Menu

Inherited from View.menu

- Defined in models/View.ts:16

### name

name: string

Inherited from View.name

- Defined in models/View.ts:15

### title

title: string

Inherited from View.title

- Defined in models/View.ts:17

### type

type: ViewType

Inherited from View.type

- Defined in models/View.ts:18

## Accessors

### isCompositeForm

- get isCompositeForm(): boolean

- - Defined in models/Form.ts:11

  #### Returns boolean

### isFlowingLayout

- get isFlowingLayout(): boolean

- - Defined in models/Form.ts:15

  #### Returns boolean

### isFlowingTopDownLayout

- get isFlowingTopDownLayout(): boolean

- - Defined in models/Form.ts:19

  #### Returns boolean

### isFourBoxSquareLayout

- get isFourBoxSquareLayout(): boolean

- - Defined in models/Form.ts:23

  #### Returns boolean

### isHorizontalLayout

- get isHorizontalLayout(): boolean

- - Defined in models/Form.ts:30

  #### Returns boolean

### isOptionsFormLayout

- get isOptionsFormLayout(): boolean

- - Defined in models/Form.ts:34

  #### Returns boolean

### isTabsLayout

- get isTabsLayout(): boolean

- - Defined in models/Form.ts:38

  #### Returns boolean

### isThreeBoxOneLeftLayout

- get isThreeBoxOneLeftLayout(): boolean

- - Defined in models/Form.ts:42

  #### Returns boolean

### isThreeBoxOneOverLayout

- get isThreeBoxOneOverLayout(): boolean

- - Defined in models/Form.ts:46

  #### Returns boolean

### isThreeBoxOneRightLayout

- get isThreeBoxOneRightLayout(): boolean

- - Defined in models/Form.ts:50

  #### Returns boolean

### isThreeBoxOneUnderLayout

- get isThreeBoxOneUnderLayout(): boolean

- - Defined in models/Form.ts:54

  #### Returns boolean

### isTopDownLayout

- get isTopDownLayout(): boolean

- - Defined in models/Form.ts:58

  #### Returns boolean

### isTwoVerticalLayout

- get isTwoVerticalLayout(): boolean

- - Defined in models/Form.ts:62

  #### Returns boolean

## Methods

### findMenuAt

- findMenuAt(actionId: string): Menu

- Inherited from View.findMenuAt

  - Defined in models/View.ts:49

  Find a menu def on this View with the given actionId

  #### Parameters

  - ##### actionId: string

  #### Returns Menu

### findTitle

- findTitle(): string

- Inherited from View.findTitle

  - Defined in models/View.ts:34

  Find the title for this Pane

  #### Returns string

Generated using TypeDoc